
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "wirecard_subscriptions/version"

Gem::Specification.new do |spec|
  spec.name          = "wirecard_subscriptions"
  spec.version       = WirecardSubscriptions::VERSION
  spec.authors       = ["Mario Sergio Araujo Dias"]
  spec.email         = ["mario.sergiodias@icloud.com"]

  spec.summary       = "A Ruby gem to Wirecard Subscriptions API"
  spec.description   = "A gem to ease the process of integrating the Wirecard Subscriptions API into your system. #enjoy!"
  spec.homepage      = "https://github.com/mariodias/wirecard-ruby-subscriptions"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "httparty"
  spec.add_dependency "recursive-open-struct"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "webmock"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "codeclimate-test-reporter"
  spec.add_development_dependency "rubocop", "0.49.1"
end
